import { ActionFormData } from '@minecraft/server-ui';
import { world, system } from "@minecraft/server";


const heatUI = new ActionFormData()
  .title("Portable Heater")
  .body("Fleeing cold?")
  .button("Yes")
  .button("No");

const coolUI = new ActionFormData()
  .title("Portable Cooler")
  .body("Feeling hot?")
  .button("Yes")
  .button("No");


world.beforeEvents.worldInitialize.subscribe(initEvent => {
  const registry = initEvent.blockComponentRegistry;

 
  registry.registerCustomComponent('zc_por_heat:trigger', {
    onPlayerInteract: e => {
      heatUI.show(e.player).then(response => {
        if (response.canceled) return;
        switch (response.selection) {
          case 0: 
            e.player.runCommandAsync('tag @s add onheat');
            break;
          case 1: 
            e.player.runCommandAsync('tag @s remove onheat');
            break;
        }
      });
    },
    onTick: e => { 
      const pos = e.block.location;
      e.dimension.runCommandAsync(`execute @a[tag=onheat,x=${Math.floor(pos.x)},y=${Math.floor(pos.y)},z=${Math.floor(pos.z)},r=20] ~~~ scoreboard players add @s hittt 4`);
    },
  });


  registry.registerCustomComponent('zc_cooldev:trigger', {
    onPlayerInteract: e => {
      coolUI.show(e.player).then(response => {
        if (response.canceled) return;
        switch (response.selection) {
          case 0: 
            e.player.runCommandAsync('tag @s add oncool');
            break;
          case 1: 
            e.player.runCommandAsync('tag @s remove oncool');
            break;
        }
      });
    },
    onTick: e => { 
      const pos = e.block.location;
      e.dimension.runCommandAsync(`execute @a[tag=oncool,x=${Math.floor(pos.x)},y=${Math.floor(pos.y)},z=${Math.floor(pos.z)},r=20] ~~~ scoreboard players remove @s hittt 4`);
    },
  });
});
